Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Service
Class SystemProcessor

    java.lang.Object
      |
      +--jChatBox.Service.SystemProcessor

public class SystemProcessor
extends java.lang.Object

This class handles all SYSTEM HttpRequests once logged.

Constructor Summary
`SystemProcessor()` Dummy constructor.

Method Summary
`java.lang.String` | `checkSystemLogin(javax.servlet.http.HttpSession session)` Checks if SYSTEM user is logged.
`java.lang.String` | `execute(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpSession session, javax.servlet.ServletContext application)` Processes all SYSTEM commands.
`java.lang.String` | `getSysMessage()` Returns message or error.
`void` | `setSysMessage(java.lang.String message)` Sets message or error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemProcessor

    public SystemProcessor()

  Dummy constructor.

Method Detail

### execute

    public java.lang.String execute(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpSession session,
                                    javax.servlet.ServletContext application)

  Processes all SYSTEM commands.
  UPDATESYSTEM(backupfile,logfolder,systemlogin,systememail,timeout,cookieid,license,update,systempassword)
  OPENCHATROOM(name,subject,maxusers,history,mode,looknfeel,refreshlimit,refreshmodel,private)
  CLOSECHATROOM(id)
  UPDATECHARTOOM(subject,history,refreshlimit,refreshmodel,private)
  GENERATETRANSCRIPT(id,filename)
  MANAGE()
  BAN(username,id,reason)
  KICKOFF(username,id)
  CLEAR()
  REMOVE(ip,reason)
  JOIN(id)
  BACKUP
  LOGOUT

### checkSystemLogin

    public java.lang.String checkSystemLogin(javax.servlet.http.HttpSession session)

  Checks if SYSTEM user is logged.
  SYSTEM user is logged if ChatroomUser is attached to HttpSession and ChatroomUser's type is SYSTEM.

### setSysMessage

    public void setSysMessage(java.lang.String message)

  Sets message or error.

### getSysMessage

    public java.lang.String getSysMessage()

  Returns message or error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD